## Interface Swift_Events_Event

(line 18)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Events/Event.php

##### The minimum interface for an Event.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
boolean bubbleCancelled ()
void cancelBubble ([ $cancel = true], boolean $cancel,)
object getSource ()

#### Method bubbleCancelled (line 37)

#### boolean bubbleCancelled( )

##### Returns true if this Event will not bubble any further up the stack.

#### Info

- access - public

#### Method cancelBubble (line 31)

#### void cancelBubble( [ $cancel = true], boolean $cancel,)

##### Prevent this Event from bubbling any further up the stack.

#### Parameters

- boolean $cancel,: optional
- $cancel:

#### Info

- access - public

#### Method getSource (line 25)

#### object getSource( )

##### Get the source object of this event.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3